@font-face {
  font-family: PressStart2P-Regular;
  src: url("/assets/font/Press_Start_2P/PressStart2P-Regular.ttf")
}

@font-face {
  font-family: SourceSansPro-Regular;
  src: url("/assets/font/Source_Sans_Pro/SourceSansPro-Regular.ttf")
}

html {
   height: 100%;
   min-width: 320px;
   background-image: url('/assets/img/pattern-rotated-blue-100x100.png');
}

body {
  font-family: SourceSansPro-Regular, sans-serif;
  min-height: 100%;
  background-color: rgba(0, 0, 0, 0.4);
}

a {
  text-decoration: none;
  color: inherit;
}

h1 {
  margin-top: 20px;
  margin-bottom: 15px;
  font-size: 30px;
}

h2 {
  margin-top: 15px;
  margin-bottom: 10px;
  font-size: 25px;
}

h3 {
  margin-top: 10px;
  margin-bottom: 5px;
  font-size: 20px;
}

header, footer {
  font-family: PressStart2P-Regular;
  text-align: center;
  color: white;
}

header {
  padding-top: 30px;
  box-shadow: 0 2px 5px 0px black;
}

footer {
  padding: 40px;
  color: #093F74;
  background-color: #021120;
  box-shadow: 0px 0px 25px 0px black;
}

nav ul, footer {
  background-image: url('/assets/img/black-felt.png');
}

footer address {
  font-size: 12px;
}

footer p {
  margin-top: 10px;
  font-size: 14px;
}

nav ul {
  padding-left: 80px;
  font-size: 0;
  text-align: left;
  background-color: #093F74;
  box-shadow:
    inset 0 0 5px 0 black,
    0 0 5px 0 black;
}

nav ul li {
  text-align: center;
  display: inline-block;
  width: 200px;
  font-size: initial;
  text-shadow: 0px 0px 2px black;
  border-radius: 4px;
  margin: 3px 6px 3px 0px;
}

nav ul li a {
  display: block;
  padding: 10px 0;
}

nav ul li:hover,
nav ul li.active {
  background-color: rgba(255, 255, 255, 0.1);
  box-shadow: 0 2px 5px 0px black;
}

nav ul li:hover {
  cursor: pointer;
}

input[type="submit"],
button:hover {
  cursor: pointer;
}

button {
  font-family: SourceSansPro-Regular, sans-serif;
}

.arrow-up {
  width: 0;
  height: 0;
  z-index: 11;
  margin: 0 auto;
  margin-top: -10px;
  margin-bottom: 10px;
  border-left: 10px solid transparent;
  border-right: 10px solid transparent;
  border-bottom: 10px solid white;
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 9;
}

.hidden-by-default {
  display: none;
}

.logo {
  position: absolute;
  z-index: 9;
  top: 0px;
  left: 6px;
  width: 100px;
  height: 160px;
  background-image: url('/assets/img/logo_light_outlined_shadowed_200x200.png');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
}

.container {
  width: 800px;
  margin: 20px auto 60px auto;
  font-size: 0;
  background-color: white;
  border-radius: 4px;
  color: #093F74;
  box-shadow: 0 2px 5px 0px black;
  background-image: url('/assets/img/gplay.png');
}

.container .content, .container aside {
  vertical-align: top;
  font-size: initial;
  display: inline-block;
}

.container .content {
  width: 608px;
  font-size: 0;
  text-align: center;
  border-left: 2px dashed #0A559D;
  min-height: 400px;
  background-color: rgba(9, 63, 116, 0.15);
}

.container .content > * {
  font-size: initial;
}

.container .content article {
  position: relative;
  text-align: center;
}

.container aside {
  width: 190px;
}

.container aside h2 {
  margin-left: 5px;
}

.container aside li a {
  width: auto;
  display: block;
  padding: 3px 12px;
}

aside ul li a::before {
  font-family: FontAwesome;
  content: '\f10c';
}

aside ul li ul li a::before {
  font-family: FontAwesome;
  padding-left: 10px;
  content: '\f10c';
}

aside ul li a.active,
aside ul li a:hover {
  background-color: rgba(9, 63, 116, 0.15);
}

aside ul li a.active::before {
  font-family: FontAwesome;
  content: '\f058';
}

aside ul li ul li a.active::before {
  font-family: FontAwesome;
  padding-left: 10px;
  content: '\f058';
}

.user-menu {
  position: relative;
}

.user-menu ul {
  text-align: right;
  margin-right: 18px;
}

.user-menu ul li {
  font-family: SourceSansPro-Regular, sans-serif;
  font-size: 16px;
  padding: 5px 6px 10px 6px;
  display: inline-block;
}

.user-menu ul li > * {
  vertical-align: middle;
  display: inline-block;
}

.user-menu ul li i {
  margin-left: 5px;
  font-size: 30px;
}

#at-nav-button {
  display: block;
  margin-top: 6px;
}

#at-nav-button:hover,
.user-menu ul li:hover {
  cursor: pointer;
}

.user-menu .cart {
  position: relative;
}

.user-menu .cart .articles-in-cart {
  position: absolute;
  bottom: 0;
  right: 0;
  background-color: #B30000;
  font-weight: bold;
  border-radius: 100%;
  font-size: 15px;
  text-align: center;
  line-height: 20px;
  width: 20px;
  height: 20px;
}

.account-form .at-form {
  box-shadow: 0 2px 5px 0px black;
  color: #093F74;
  background-color: white;
  padding: 2px 12px 10px 12px;
  border-radius: 4px;
  background-image: url('/assets/img/gplay.png');
  font-family: SourceSansPro-Regular, sans-serif;
  position: absolute;
  right: 10px;
  z-index: 9;
}

.account-form .at-form .at-input > * {
  display: block;
}

.account-form .at-form .at-input > input {
  margin: 4px auto;
}

.account-form button {
  border: none;
  border-radius: 4px;
  padding: 3px 5px;
  display: block;
  margin: 5px auto;
}

.account-form .arrow-up {
  right: 85px;
  position: absolute;
}

.s-alert-info, .s-alert-success, .s-alert-warning, .s-alert-error {
  box-shadow: 0 2px 5px 0px black;
  color: white;
}

.s-alert-info {
  background-color: #093F74;
}

.s-alert-success {
  background-color: #96AE00;
}

.s-alert-error {
  background-color: #B30000;
}

.loading {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  text-align: center;
  font-family: PressStart2P-Regular;
  background-image: url('/assets/img/pattern-rotated-blue-100x100.png');
}

.loading div {
  margin-top: 25%;
  width: 100px;
  height: 100px;
  line-height: 100px;
  background-color: white;
  display: inline-block;
  border-radius: 100%;
}

.loading i {
  display: inline-block;
  font-size: 50px;
  vertical-align: middle;
  padding: 20px;
}
